#########################################################################################
# (c) Copyright McKesson Medical Imaging, 2004
#
# NAME
#	EMTextOverlays.base
#
# DESCRIPTION
#	Emerald Text Overlays base file
#
# HISTORY
#	24-Sep-2004  Vladan P.
#	Added configuration variables for annotation.
#	19-Oct-2005 Vladan Petrovic CRDB00035124 
#	18-Nov-2005	VladanPetrovic FEAT42: Mammography variables added
#	16-May-2006 Max N. CRDB00037751:STRQ1790: No overlay support for ES modality images in HRS 11.
#	01-Sep-2006 Vladan P. CRDB00041319:	dicom tags/ text overlays related to mammography
#	28-Dec-2006 Lukas R.  CRDB00046895: MG overlays - Laterality tag offset.			
#	30-March-2008 Carmen M  CRDB00057488 - Printing textoverlays							
#	01-Apr-2008 Igor S  CRDB00060896: Merging 11.0_SP6.1 (Colorado: FEAT 219) into 11.5.1
#	01-Sep-2008	Daniela	CRDB00056680[11.6 Clone CRDB00065790] - Some textoverlay config
#						values are needed to be localize. <06-Nov-2007>
#	03-Jul-2009 BTodiwalla	Added CADSR related dictionary keys.
#   09-Mar-2010 PRangana    CRDB00084070 Add to fix Flag overlapping with text overlay.
#						    porting from Tactical
# Apr-28-2010 Pgavril CRDB00084548 Warning comments required in EmTextOverlays.base indicating the importance of "Lossy xx:1" and "NOT FOR DIAGNOSIS"
# Apr-28-2010 Pgavril CRDB00084385 In HRS "LOSSY xx:1"should not be turn off by default configuration for MG images
# June-16-2010 yzavorotny CRDB00086977 -- Bitmap overlays can be configured to display automatically for MG images
#############################################################################################
#--------------------------------------------------------------------------------------------
# VARIABLE_NAME:     DICOMBITMAP.SHOW.GENERAL
# VARIABLE_TYPE:     boolean
# DESCRIPTION:       Defines whether or not DICOM Bitmap overlays will be displayed by default 
#				for images of the defined modality.  
#		    A general and modality specific configuration is supported.
#
#		    NOTE: This variable is ignored for MG modality. Setting DICOMBITMAP.SHOW.MG
#		    to YES will have no effect and overlays will remain initially hidden.
# RANGE OF VALUES:   YES, NO
# SUGGESTED DEFAULT: 	DICOMBITMAP.SHOW.GENERAL	install	YES
#			DICOMBITMAP.SHOW.MG		install	NO	
#
# EXCEPTIONS:        -
#----------------------------------------------------------------------------
DICOMBITMAP.SHOW.GENERAL	install	YES
DICOMBITMAP.SHOW.MG		install	NO	

#----------------------------------------------------------------------------
# VARIABLE_NAME:		OVERLAY.SCALE.SHOW
# VARIABLE_TYPE:		boolean
# DESCRIPTION:		Whether to always show scale overlay
#
# CONTEXT:			User
# RANGE OF VALUES:      YES, NO
# SUGGESTED DEFAULT: 	YES
#----------------------------------------------------------------------------
OVERLAY.SCALE.SHOW install YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:		OVERLAY.SCALE.POSITION
# VARIABLE_TYPE:		string
# DESCRIPTION:		Where to show scale overlay
#
# CONTEXT:			Site
# RANGE OF VALUES:      LEFT, TOP, RIGHT, BOTTOM
# SUGGESTED DEFAULT: 	RIGHT
#----------------------------------------------------------------------------
OVERLAY.SCALE.POSITION install RIGHT

#----------------------------------------------------------------------------
# VARIABLE_NAME:		OVERLAY.SCALE.OFFSET
# VARIABLE_TYPE:		Double
# DESCRIPTION:		Offset from the positio where to show scale overlay
#
# CONTEXT:			Site
# RANGE OF VALUES:      0.0 - 1.0 (0.01 means 1% of the width or height)
# SUGGESTED DEFAULT: 	0.02
#----------------------------------------------------------------------------
OVERLAY.SCALE.OFFSET install 0.02

#----------------------------------------------------------------------------
# VARIABLE_NAME:		OVERLAY.ANNOTATION.SHOW
# VARIABLE_TYPE:		boolean
# DESCRIPTION:		Whether to always show annotation overlay
#
# CONTEXT:			User
# RANGE OF VALUES:      YES, NO
# SUGGESTED DEFAULT: 	YES
#----------------------------------------------------------------------------
OVERLAY.ANNOTATION.SHOW install YES

#----------------------------------------------------------------------------
# VARIABLE_NAME:		OVERLAY.TEXT.IMAGE_VIEWPORT_SIZE.FULL
# VARIABLE_TYPE:		integer
# DESCRIPTION:		Minimum viewport size for “Full” text overlay mode (mm). 
#				When viewport reaches this size, the text overlay is switched to “minimum”
#
# CONTEXT:			Site
# RANGE OF VALUES:      0 to 100 (mm)
# SUGGESTED DEFAULT: 	70
#----------------------------------------------------------------------------
OVERLAY.TEXT.IMAGE_VIEWPORT_SIZE.FULL install 70

#----------------------------------------------------------------------------
# VARIABLE_NAME:		OVERLAY.TEXT.IMAGE_VIEWPORT_SIZE.MINIMUM
# VARIABLE_TYPE:		integer
# DESCRIPTION:		Minimum viewport size for “Minimum” text overlay mode (mm). 
#				When viewport reaches this size, the text overlay is switched to “none”
#
# CONTEXT:			Site
# RANGE OF VALUES:      0 to 100 (mm)
# SUGGESTED DEFAULT: 	40
#----------------------------------------------------------------------------
OVERLAY.TEXT.IMAGE_VIEWPORT_SIZE.MINIMUM install 40

#----------------------------------------------------------------------------
# VARIABLE_NAME:		OVERLAY.TEXT.DEFAULT.FONT_NAME
# VARIABLE_TYPE:		String
# DESCRIPTION:		Font name/type default
# CONTEXT:			Site
# EXAMPLE:      		"Helvetica-Bold"
# SUGGESTED DEFAULT: 	"Helvetica-Bold"
#----------------------------------------------------------------------------
OVERLAY.TEXT.DEFAULT.FONT_NAME install "Helvetica-Bold"

#----------------------------------------------------------------------------
# VARIABLE_NAME:		OVERLAY.TEXT.DEFAULT.MAX_FONT_HEIGHT
# VARIABLE_TYPE:		Long
# DESCRIPTION:		Default font max height in points
# CONTEXT:			Site
# RANGE OF VALUES:      0-32
# SUGGESTED DEFAULT: 	10
#----------------------------------------------------------------------------
OVERLAY.TEXT.DEFAULT.MAX_FONT_HEIGHT install 10

#----------------------------------------------------------------------------
# VARIABLE_NAME:		OVERLAY.TEXT.DEFAULT.MIN_FONT_HEIGHT
# VARIABLE_TYPE:		Long
# DESCRIPTION:		Default font min height in points
# CONTEXT:			Site
# RANGE OF VALUES:      0-16
# SUGGESTED DEFAULT: 	10
#----------------------------------------------------------------------------
OVERLAY.TEXT.DEFAULT.MIN_FONT_HEIGHT install 10

#----------------------------------------------------------------------------
# VARIABLE_NAME:		OVERLAY.TEXT.DEFAULT.IMAGE_VIEWPORT_PERCENTAGE
# VARIABLE_TYPE:		double
# DESCRIPTION:			Default font height in percentage of the viewport height;
#				For value 0, the variable has no effect
#				For values 1-100 the variable set the font height as a percentage of the viewport height
#				However, the font height is still limited by overlays min and max font
# CONTEXT:			Site
# RANGE OF VALUES:      0-100
# SUGGESTED DEFAULT: 	0
#----------------------------------------------------------------------------
OVERLAY.TEXT.DEFAULT.IMAGE_VIEWPORT_PERCENTAGE install 0


#----------------------------------------------------------------------------
# VARIABLE_NAME:		OVERLAY.TEXT.ORIENTATION.IMAGE_VIEWPORT_PERCENTAGE
# VARIABLE_TYPE:		double
# DESCRIPTION:			Default font height for orientation labels in percentage of the viewport height;
#				For value 0, the variable has no effect
#				For values 1-100 the variable set the font height as a percentage of the viewport height
#				However, the font height is still limited by overlays min and max font of the orientation labels
# CONTEXT:			Site
# RANGE OF VALUES:      0-100
# SUGGESTED DEFAULT: 	10
#----------------------------------------------------------------------------
OVERLAY.TEXT.ORIENTATION.IMAGE_VIEWPORT_PERCENTAGE install 0

#----------------------------------------------------------------------------
# VARIABLE_NAME:		OVERLAY.TEXT.<MODALITY>.<LOCATION>.IMAGE_VIEWPORT_PERCENTAGE
# VARIABLE_TYPE:		double
# DESCRIPTION:			Default font height in percentage of the viewport height for <MODALITY>.<LOCATION>
#				For value 0, the variable has no effect
#				For values 1-100 the variable set the font height as a percentage of the viewport height
#				However, the font height is still limited by overlays min and max font
# CONTEXT:			Site
# RANGE OF VALUES:      0-100
# SUGGESTED DEFAULT: 	10
#----------------------------------------------------------------------------

#----------------------------------------------------------------------------
# VARIABLE_NAME:		OVERLAY.TEXT.ORIENTATION.FONT_NAME
# VARIABLE_TYPE:		String
# DESCRIPTION:		Font name/type to overwrite default
# CONTEXT:			Site
# EXAMPLE:      		"Helvetica-Bold"
# SUGGESTED DEFAULT: 	"Helvetica-Bold"
#----------------------------------------------------------------------------
OVERLAY.TEXT.ORIENTATION.FONT_NAME install "Helvetica-Bold"

#----------------------------------------------------------------------------
# VARIABLE_NAME:		OVERLAY.TEXT.ORIENTATION.MAX_FONT_HEIGHT
# VARIABLE_TYPE:		Long
# DESCRIPTION:		Font max height in points
# CONTEXT:			Site
# RANGE OF VALUES:      0-32
# SUGGESTED DEFAULT: 	10
#----------------------------------------------------------------------------
OVERLAY.TEXT.ORIENTATION.MAX_FONT_HEIGHT install 10

#----------------------------------------------------------------------------
# VARIABLE_NAME:		OVERLAY.TEXT.ORIENTATION.MIN_FONT_HEIGHT
# VARIABLE_TYPE:		Long
# DESCRIPTION:		Font min height in points
# CONTEXT:			Site
# RANGE OF VALUES:      0-16
# SUGGESTED DEFAULT: 	10
#----------------------------------------------------------------------------
OVERLAY.TEXT.ORIENTATION.MIN_FONT_HEIGHT install 10

#----------------------------------------------------------------------------
# VARIABLE_NAME:		OVERLAY.TEXT.MODE.GENERAL
# VARIABLE_TYPE:		String
# DESCRIPTION:		Default text overlay mode/style
# CONTEXT:			User
# RANGE OF VALUES:      "FULL", "MINIMUM", "NONE"
# SUGGESTED DEFAULT: 	"FULL"
#----------------------------------------------------------------------------
OVERLAY.TEXT.MODE.GENERAL install "FULL"

#----------------------------------------------------------------------------
# VARIABLE_NAME:		OVERLAY.TEXT.MODE.<MODALITY>
# VARIABLE_TYPE:		String
# DESCRIPTION:		Modality specific text overlay mode/style
# CONTEXT:			User
# RANGE OF VALUES:      "FULL", "MINIMUM", "NONE"
# SUGGESTED DEFAULT: 	"FULL"
#----------------------------------------------------------------------------
OVERLAY.TEXT.MODE.CT install "FULL"

#----------------------------------------------------------------------------
# VARIABLE_NAME:		OVERLAY.TEXT.<MODALITY>.<LOCATION>
# VARIABLE_TYPE:		String
# DESCRIPTION:		Locations and overlay names represented. GENERAL "modality" is always overidden by specific modality.
# CONTEXT:			Site
# RANGE OF VALUES:      See bellow
# SUGGESTED DEFAULT: 	See bellow
#----------------------------------------------------------------------------
OVERLAY.TEXT.GENERAL.TOP_LEFT 		INSTALL		"PATIENT_NAME" "TOP_LINE" "ACCESSION_NUMBER" "SERIES_DESCRIPTION" "SERIES_NUMBER_DCM" "IS_FLAGGED" "LATERALITY"
OVERLAY.TEXT.GENERAL.TOP_CENTER		INSTALL		"NONE" 
OVERLAY.TEXT.GENERAL.TOP_RIGHT		INSTALL		"NONE" 
OVERLAY.TEXT.GENERAL.BOTTOM_LEFT	INSTALL		"NONE" 
OVERLAY.TEXT.GENERAL.BOTTOM_CENTER	INSTALL		"COMPRESSION_FACTOR" 
OVERLAY.TEXT.GENERAL.BOTTOM_RIGHT	INSTALL		"NONE" 
OVERLAY.TEXT.GENERAL.CENTER_LEFT	INSTALL		"NONE" 
OVERLAY.TEXT.GENERAL.CENTER_RIGHT	INSTALL		"NONE" 

OVERLAY.TEXT.CR.BOTTOM_RIGHT  	INSTALL			"WINDOW_LEVEL_VALUE" "FILTER_VALUE" 

OVERLAY.TEXT.CT.TOP_RIGHT     	INSTALL			"INSTITUTION_NAME" "MANUFACTURER_MODEL_STATION" "MATRIX_PATIENT_POSITION" "IMAGE_FORMAT" "STUDY_DESCRIPTION" 
OVERLAY.TEXT.CT.BOTTOM_LEFT   	INSTALL			"CONVOLUTION_KERNEL" "TUBE_VOLTAGE" "TUBE_CURRENT" "GANTRY_TILT" "SLICE_THICKNESS_LOCATION" 
OVERLAY.TEXT.CT.BOTTOM_RIGHT  	INSTALL			"WINDOW_LEVEL_VALUE" "FILTER_VALUE" 

#----------------------------------------------------------------------------
# A T T E N T I O N - I M P O R T A N T   W A R N I N G
# "Lossy xx:1" and "NOT FOR DIAGNOSIS" are important information that should be always
# displayed on MG images if image is lossy compressed. 
# It corresponds to "DIAGNOSTIC_WARNING" in OVERLAY.TEXT.MG.BOTTOM
# and "COMPRESSION_FACTOR" in OVERLAY.TEXT.MG.BOTTOM_CENTER
# According to Emerald Mammography UI
# Design section 9.2 ¿NOT FOR DIAGNOSIS¿ indication should be hard-coded (the same is valid
# for "LOSSY XX:1").
#----------------------------------------------------------------------------
OVERLAY.TEXT.MG.BOTTOM        	INSTALL				"ACQ_COMPRESSION" "ACQ_MAGNIFICATION" "DIAGNOSTIC_WARNING" 
OVERLAY.TEXT.MG.BOTTOM_CENTER 	INSTALL				"COMPRESSION_FACTOR"
OVERLAY.TEXT.MG.BOTTOM_LEFT   	INSTALL				"NONE" 
OVERLAY.TEXT.MG.BOTTOM_RIGHT  	INSTALL				"NONE" 
OVERLAY.TEXT.MG.CENTER_LEFT   	INSTALL				"NONE" 
OVERLAY.TEXT.MG.CENTER_RIGHT  	INSTALL				"NONE" 

OVERLAY.TEXT.MG.MIDDLE        	INSTALL				"RELATIVE_IMAGE_LATERALITY" "PROJECTION" "STUDY_CADSR_MANUFACTURER" "STUDY_CADSR_SOFTWAREVERSION" "CADSR_CLUSTER_COUNT" "CADSR_DENSITY_COUNT" "CADSR_MALC_COUNT" 
OVERLAY.TEXT.MG.TOP           	INSTALL				"PATIENT_NAME" "PATIENT_ID" "PATIENT_DOB_AGE" "STUDY_DATE_TIME" "OPERATOR_NAME" "INSTITUTION_NAME" "INSTITUTION_ADDRESS" "MANUFACTURER" "IS_FLAGGED"
OVERLAY.TEXT.MG.TOP_CENTER    	INSTALL				"NONE" 
OVERLAY.TEXT.MG.TOP_LEFT      	INSTALL				"NONE" 
OVERLAY.TEXT.MG.TOP_RIGHT     	INSTALL				"NONE" 

OVERLAY.TEXT.MR.TOP_RIGHT     	INSTALL			"INSTITUTION_NAME" "MANUFACTURER_MODEL_STATION" "MATRIX_PATIENT_POSITION" "IMAGE_FORMAT" "STUDY_DESCRIPTION" 
OVERLAY.TEXT.MR.BOTTOM_LEFT   	INSTALL			"SEQ_NAME_ACQ_TYPE" "ECHO_NUMBER" "REP_TIME" "ECHO_TIME" "INVERSION_TIME" "SLICE_THICKNESS_LOCATION" 
OVERLAY.TEXT.MR.BOTTOM_RIGHT  	INSTALL			"RECEIVING_COIL" "CONTRAST" "NO_OF_AVG" "DATA_DIAM" "PERCENT_PHASE" "FLIP_ANGLE" "WINDOW_LEVEL_VALUE" "FILTER_VALUE" 

OVERLAY.TEXT.US.TOP_LEFT 	INSTALL			"NONE"
OVERLAY.TEXT.US.BOTTOM_CENTER	INSTALL		"NONE"

OVERLAY.TEXT.ES.TOP_LEFT 	INSTALL		"NONE"
OVERLAY.TEXT.ES.BOTTOM_LEFT	INSTALL		"ES_BODY_PART" "ES_ANATOMIC_LOCATION" "ES_CLASSIFICATION" "SERIES_DESCRIPTION"
OVERLAY.TEXT.ES.BOTTOM_RIGHT	INSTALL		"ES_ENDOSCOPE" "ES_LIGHTSOURCE"
OVERLAY.TEXT.ES.BOTTOM_CENTER	INSTALL		"NONE"



#----------------------------------------------------------------------------
# VARIABLE_NAME:		OVERLAY.TEXT.<MODALITY>.<LOCATION>.FONT_NAME
# VARIABLE_TYPE:		String
# DESCRIPTION:		Font name/type to overwrite default
# CONTEXT:			Site
# EXAMPLE:      		"Helvetica-Bold"
# SUGGESTED DEFAULT: 	"Helvetica-Bold"
#----------------------------------------------------------------------------
OVERLAY.TEXT.GENERAL.TOP_LEFT.FONT_NAME install "Helvetica-Bold"

#----------------------------------------------------------------------------
# VARIABLE_NAME:		OVERLAY.TEXT.<MODALITY>.<LOCATION>.MAX_FONT_HEIGHT
# VARIABLE_TYPE:		Long
# DESCRIPTION:		Font max height in points
# CONTEXT:			Site
# RANGE OF VALUES:      0-32
# SUGGESTED DEFAULT: 	10
#----------------------------------------------------------------------------
OVERLAY.TEXT.GENERAL.TOP_LEFT.MAX_FONT_HEIGHT install 10

#----------------------------------------------------------------------------
# VARIABLE_NAME:		OVERLAY.TEXT.<MODALITY>.<LOCATION>.MIN_FONT_HEIGHT
# VARIABLE_TYPE:		Long
# DESCRIPTION:		Font min height in points
# CONTEXT:			Site
# RANGE OF VALUES:      0-16
# SUGGESTED DEFAULT: 	10
#----------------------------------------------------------------------------
OVERLAY.TEXT.GENERAL.TOP_LEFT.MIN_FONT_HEIGHT install 10

#----------------------------------------------------------------------------
# VARIABLE_NAME:		OVERLAY.TEXT.<MODALITY>.ANCHOR_OFFSET 
# VARIABLE_TYPE:		Double
# DESCRIPTION:		Percent of the image viewport width (0.0 = 0% , 1.0 = 100%) we need to move the text overlays 
#				(on the locations CENTER_LEFT and/or CENTER_RIGHT) so orientation labels stay visible
# CONTEXT:			Site
# RANGE OF VALUES:      0.0 - 1.0
# SUGGESTED DEFAULT: 	0.1
#----------------------------------------------------------------------------
OVERLAY.TEXT.GENERAL.ANCHOR_OFFSET install 0.05
OVERLAY.TEXT.CT.ANCHOR_OFFSET install 0.05
OVERLAY.TEXT.MR.ANCHOR_OFFSET install 0.05

#----------------------------------------------------------------------------
# VARIABLE_NAME:		OVERLAY.TEXT.FORMAT.<OVERLAY_NAME>
# VARIABLE_TYPE:		String
# DESCRIPTION:		Acqusition/representation format of an overlay element
# CONTEXT:			Site
# RANGE OF VALUES:      See bellow
# SUGGESTED DEFAULT: 	See bellow
#----------------------------------------------------------------------------
OVERLAY.TEXT.FORMAT.ACCESSION_NUMBER			install				"Ac:" "%S" 
OVERLAY.TEXT.FORMAT.ACCESSION_NUMBER.FRC		install				"Ac:" "%S" 
OVERLAY.TEXT.FORMAT.ACQ_EXPOSURE			install				"Exposure:" "%<0018/1152>" 
OVERLAY.TEXT.FORMAT.ACQ_EXPOSURE.FRC			install				"Exposition:" "%<0018/1152>" 
OVERLAY.TEXT.FORMAT.ACQUISITION_DATE_TIME		install				"%DATE<0008/0022>" "%TIME<0008/0032>" 
OVERLAY.TEXT.FORMAT.ACQUISITION_VIEW			install				"%<0018/5101>"
OVERLAY.TEXT.FORMAT.ACQ_COMPRESSION			install				"%<0018/11a2>"
OVERLAY.TEXT.FORMAT.ACQ_BODYPART_THICKNESS  install				"%<0018/11a0>"
OVERLAY.TEXT.FORMAT.ACQ_PRIMARY_ANGLE		install				"%<0018/1510>"
OVERLAY.TEXT.FORMAT.ACQ_FILTER_MATERIAL		install				"%<0018/7050>" 
OVERLAY.TEXT.FORMAT.ACQ_EXPOSURE			install				"Exposure:" "%<0018/1152>" 
OVERLAY.TEXT.FORMAT.ACQ_KVP   				install				"%<0018/0060>" 
OVERLAY.TEXT.FORMAT.ACQ_MAGNIFICATION			install				"%<0018/1114>" 
OVERLAY.TEXT.FORMAT.PROJECTION				install				"%<3711/1505>" "|" "%<3711/1501>"
OVERLAY.TEXT.FORMAT.ANGULAR_VIEW_VECTOR			install				"%<0054/0090>" 
OVERLAY.TEXT.FORMAT.CASSETTE_SIZE			install				"Size:" "%<0018/1403>" 
OVERLAY.TEXT.FORMAT.CASSETTE_SIZE.FRC		install				"Taille:" "%<0018/1403>" 
OVERLAY.TEXT.FORMAT.COMPRESSION_FACTOR			install				"Lossy:" "%C:1" 
OVERLAY.TEXT.FORMAT.COMPRESSION_FACTOR.FRC		install				"Avec perte:" "%C:1" 
OVERLAY.TEXT.FORMAT.CONTRAST  				install				"Contrast:" "%<0018/0010>" 
OVERLAY.TEXT.FORMAT.CONTRAST.FRC			install				"Contraste:" "%<0018/0010>" 
OVERLAY.TEXT.FORMAT.CONVOLUTION_KERNEL			install				"%<0018/1210>" 
OVERLAY.TEXT.FORMAT.DATA_DIAM 				install				"FOV:" "%<0018/0090>" 
OVERLAY.TEXT.FORMAT.DATA_DIAM.FRC			install				"FOV:" "%<0018/0090>" 
OVERLAY.TEXT.FORMAT.DERIVATION_DESCRIPTION		install				"%<0008/2111>" 
OVERLAY.TEXT.FORMAT.DETECTOR_VECTOR			install				"%<0054/0020>" 
OVERLAY.TEXT.FORMAT.DIAGNOSTIC_WARNING			install				"%W" 
OVERLAY.TEXT.FORMAT.ECHO_NUMBER				install				"Echo:" "%<0018/0086>" 
OVERLAY.TEXT.FORMAT.ECHO_NUMBER.FRC			install				"Echo:" "%<0018/0086>" 
OVERLAY.TEXT.FORMAT.ECHO_TIME 				install				"TE:" "%1<0018/0081>" 
OVERLAY.TEXT.FORMAT.ECHO_TIME.FRC			install				"TE:" "%1<0018/0081>" 
OVERLAY.TEXT.FORMAT.ENERGY_WINDOW_VECTOR		install				"%<0054/0010>" 
OVERLAY.TEXT.FORMAT.ES_ANATOMIC_LOCATION		install				"Location:" "%<3711/1010>" "," "%<3711/1011>"
OVERLAY.TEXT.FORMAT.ES_ANATOMIC_LOCATION.FRC	install				"Emplacement:" "%<3711/1010>" "," "%<3711/1011>"
OVERLAY.TEXT.FORMAT.ES_BODY_PART			install				"Body Part:" "%<0018/0015>"
OVERLAY.TEXT.FORMAT.ES_BODY_PART.FRC		install				"Partie du corps:" "%<0018/0015>"
OVERLAY.TEXT.FORMAT.ES_ENDOSCOPE			install				"Endoscope:" "%<3711/1014>"
OVERLAY.TEXT.FORMAT.ES_ENDOSCOPE.FRC		install				"Endoscope:" "%<3711/1014>"
OVERLAY.TEXT.FORMAT.ES_LIGHTSOURCE			install				"Light Source:" "%<3711/1015>"
OVERLAY.TEXT.FORMAT.ES_LIGHTSOURCE.FRC		install				"Source lumineuse:" "%<3711/1015>"
OVERLAY.TEXT.FORMAT.ES_LOCATION_MOD			install				"Modifier:" "%<3711/1011>"
OVERLAY.TEXT.FORMAT.ES_LOCATION_MOD.FRC		install				"Modificateur:" "%<3711/1011>"
OVERLAY.TEXT.FORMAT.ES_LOCATION_DISTANCE		install				"Distance:" "%<3711/1012>"
OVERLAY.TEXT.FORMAT.ES_LOCATION_DISTANCE.FRC	install				"Distance:" "%<3711/1012>"
OVERLAY.TEXT.FORMAT.ES_CLASSIFICATION			install				"Classification:"%<3711/1013>"
OVERLAY.TEXT.FORMAT.ES_CLASSIFICATION.FRC		install				"Classification:"%<3711/1013>"
OVERLAY.TEXT.FORMAT.FILTER_VALUE			install				"Filter:%s" "Fact:%d" 
OVERLAY.TEXT.FORMAT.FILTER_VALUE.FRC		install				"Filtre:%s" "Fact:%d" 
OVERLAY.TEXT.FORMAT.FLIP_ANGLE				install				"Flip:" "%<0018/1314>" 
OVERLAY.TEXT.FORMAT.FLIP_ANGLE.FRC			install				"Rotation:" "%<0018/1314>" 
OVERLAY.TEXT.FORMAT.GANTRY_TILT				install				"Tilt:" "%<0018/1120>" 
OVERLAY.TEXT.FORMAT.GANTRY_TILT.FRC			install				"Inclinaison:" "%<0018/1120>" 
OVERLAY.TEXT.FORMAT.IMAGE_COMMENTS			install				"%<0020/4000>" 
OVERLAY.TEXT.FORMAT.IMAGE_DATE_TIME			install				"%DATE<0008/0023>" "%TIME<0008/0033>" 
OVERLAY.TEXT.FORMAT.IMAGE_FORMAT			install				"%<0028/0010>" "x" "%<0028/0011>" "x" "%<0028/0100>" 
OVERLAY.TEXT.FORMAT.IMAGE_NUMBER			install				"Image:" "%<0020/0013>" 
OVERLAY.TEXT.FORMAT.IMAGE_NUMBER.FRC		install				"Image:" "%<0020/0013>" 
OVERLAY.TEXT.FORMAT.INSTITUTION_NAME			install				"%<0008/0080>" 
OVERLAY.TEXT.FORMAT.INSTITUTION_ADDRESS			install				"%<0008/0081>" 
OVERLAY.TEXT.FORMAT.INVERSION_TIME			install				"TI:" "%<0008/0082>" 
OVERLAY.TEXT.FORMAT.INVERSION_TIME.FRC		install				"TI:" "%<0008/0082>" 
OVERLAY.TEXT.FORMAT.IS_FLAGGED				install				"%H" 
OVERLAY.TEXT.FORMAT.LATERALITY				install				"%<3711/1108>"
OVERLAY.TEXT.FORMAT.MANUFACTURER			install				"%<0008/0070>"
OVERLAY.TEXT.FORMAT.MANUFACTURER_MODEL_STATION		install				"%<0008/1090>" "%<0008/1010>" 
OVERLAY.TEXT.FORMAT.MATRIX_PATIENT_POSITION		install				"%<0021/1132>" "%<0018/5100>" "%<0021/1130>" 
OVERLAY.TEXT.FORMAT.NO_OF_AVG 				install				"NEX:" "%<0018/0083>" 
OVERLAY.TEXT.FORMAT.NO_OF_AVG.FRC			install				"NEX:" "%<0018/0083>" 
OVERLAY.TEXT.FORMAT.OPERATOR_NAME			install				"%<0008/1070>"
OVERLAY.TEXT.FORMAT.PATIENT_DOB_AGE			install				"DOB: %D" "%A" 
OVERLAY.TEXT.FORMAT.PATIENT_DOB_AGE.FRC		install				"Né(e) le: %D" "%A" 
OVERLAY.TEXT.FORMAT.PATIENT_GENDER			install				"Gender:" "%G" 
OVERLAY.TEXT.FORMAT.PATIENT_GENDER.FRC		install				"Sexe:" "%G" 
OVERLAY.TEXT.FORMAT.PATIENT_ID				install				"ID:" "%I" 
OVERLAY.TEXT.FORMAT.PATIENT_ID.FRC			install				"ID:" "%I" 
OVERLAY.TEXT.FORMAT.PATIENT_NAME			install				"%L" "," " " "%F" " " "" 
OVERLAY.TEXT.FORMAT.PERCENT_PHASE			install				"%%FOV" "%<0018/0094>" 
OVERLAY.TEXT.FORMAT.PHASE_VECTOR			install				"%<0054/0030>" 
OVERLAY.TEXT.FORMAT.RECEIVING_COIL			install				"Coil:" "%<0018/1250>" 
OVERLAY.TEXT.FORMAT.RECEIVING_COIL.FRC		install				"Enroulement:" "%<0018/1250>" 
OVERLAY.TEXT.FORMAT.RELATIVE_IMAGE_LATERALITY		install				"%<3711/1506>" "|" "%<0020/0062>" 
OVERLAY.TEXT.FORMAT.REP_TIME  				install				"TR:" "%<0018/0080>" 
OVERLAY.TEXT.FORMAT.REP_TIME.FRC			install				"TR:" "%<0018/0080>" 
OVERLAY.TEXT.FORMAT.REPETITION_TIME			install				"TR:" "%1<0021/1356>" 
OVERLAY.TEXT.FORMAT.REPETITION_TIME.FRC		install				"TR:" "%1<0021/1356>" 
OVERLAY.TEXT.FORMAT.ROTATION_VECTOR			install				"%<0054/0050>" 
OVERLAY.TEXT.FORMAT.RR_INTERVAL_VECTOR			install				"%<0054/0060>" 
OVERLAY.TEXT.FORMAT.SCAN_OPTION				install				"%<0018/0022>" 
OVERLAY.TEXT.FORMAT.SEQ_NAME_ACQ_TYPE			install				"%<0018/0024>" "%<0018/0023>" 
OVERLAY.TEXT.FORMAT.SERIES_DESCRIPTION			install				"%<0008/103E>" 
OVERLAY.TEXT.FORMAT.SERIES_NUMBER_DCM			install				"Series:" "%<0020/0011>" 
OVERLAY.TEXT.FORMAT.SERIES_NUMBER_DCM.FRC		install				"Série:" "%<0020/0011>" 
OVERLAY.TEXT.FORMAT.SERIES_NUMBER_MIN1			install				"Series:" "%N" 
OVERLAY.TEXT.FORMAT.SERIES_NUMBER_MIN1.FRC		install				"Série:" "%N" 
OVERLAY.TEXT.FORMAT.SLICE_THICKNESS_LOCATION		install				"Slice:%<0018/0050>" "Loc:%<0020/1041>" 
OVERLAY.TEXT.FORMAT.SLICE_THICKNESS_LOCATION.FRC	install				"Coupe:%<0018/0050>" "Empl:%<0020/1041>" 
OVERLAY.TEXT.FORMAT.SLICE_VECTOR			install				"%<0054/0080>"
OVERLAY.TEXT.FORMAT.SERIES_IMAGE_SORT       		install 			"Sorted by %B in %Y order" 
OVERLAY.TEXT.FORMAT.STUDY_DATE_TIME			install				"%T" 
OVERLAY.TEXT.FORMAT.STUDY_DESCRIPTION			install				"%<0008/1030>" 
OVERLAY.TEXT.FORMAT.STUDY_ID  				install				"Study: %Q" 
OVERLAY.TEXT.FORMAT.STUDY_ID.FRC			install				"Examen: %Q" 
OVERLAY.TEXT.FORMAT.TIME_SLICE_VECTOR			install				"%<0054/0100>" 
OVERLAY.TEXT.FORMAT.TIME_SLOT_VECTOR			install				"%<0054/0070>" 
OVERLAY.TEXT.FORMAT.TOP_LINE  				install				"#%<0020/0013>" "%DATE<0008/0023>" "%TIME<0008/0033>" 
OVERLAY.TEXT.FORMAT.TUBE_CURRENT			install				"mA:" "%<0018/1151>" 
OVERLAY.TEXT.FORMAT.TUBE_CURRENT.FRC		install				"mA:" "%<0018/1151>" 
OVERLAY.TEXT.FORMAT.TUBE_VOLTAGE			install				"kV:" "%<0018/0060>" 
OVERLAY.TEXT.FORMAT.TUBE_VOLTAGE.FRC		install				"kV:" "%<0018/0060>" 
OVERLAY.TEXT.FORMAT.WINDOW_CENTER			install				"%<0028/1050>"
OVERLAY.TEXT.FORMAT.WINDOW_LEVEL_VALUE		install				"W:%w" "L:%l" 
OVERLAY.TEXT.FORMAT.WINDOW_LEVEL_VALUE.FRC	install				"W:%w" "L:%l" 
OVERLAY.TEXT.FORMAT.WINDOW_WIDTH			install				"%<0028/1051>" 
OVERLAY.TEXT.FORMAT.ZOOM      				install				"Zoom:" "%Z%%" "%z" 
OVERLAY.TEXT.FORMAT.ZOOM.FRC   				install				"Zoom:" "%Z%%" "%z" 

# use the LATERALITY_PROJECTION_LABEL variable only for the new sites OR 
# the sites that have been crawled to re-sequence all the Mammography studies AND
# have the legacy sequence server enabled
OVERLAY.TEXT.FORMAT.LATERALITY_PROJECTION_LABEL           install          "%<3711/1507>"

# Study CadSR dictionary keys. Format = %*<propertyName Key>
# The %*<propertyName Key> will be replaced by the property value.
OVERLAY.TEXT.FORMAT.STUDY_CADSR_MARKCOUNT				install				"MarkCount:%*markCount" 
OVERLAY.TEXT.FORMAT.STUDY_CADSR_MARKCOUNT.FRC			install				"MarkCount:%*markCount" 		
OVERLAY.TEXT.FORMAT.STUDY_CADSR_MANUFACTURER			install				"%*manufacturerName" 	
OVERLAY.TEXT.FORMAT.STUDY_CADSR_MANUFACTURER.FRC		install				"%*manufacturerName" 	
OVERLAY.TEXT.FORMAT.STUDY_CADSR_SOFTWAREVERSION			install				"%*softwareVersion" 	
OVERLAY.TEXT.FORMAT.STUDY_CADSR_SOFTWAREVERSION.FRC		install				"%*softwareVersion" 	

# Image CadSR dictionary keys. Format = %#<propertyName Key>
# The %#<propertyName Key> will be replaced by the property value.
OVERLAY.TEXT.FORMAT.CADSR_DENSITY_COUNT						install				"Mass = %##densities" 
OVERLAY.TEXT.FORMAT.CADSR_DENSITY_COUNT.FRC					install				"Mass = %##densities"
OVERLAY.TEXT.FORMAT.CADSR_CLUSTER_COUNT						install				"Calc = %##clusters"
OVERLAY.TEXT.FORMAT.CADSR_CLUSTER_COUNT.FRC					install				"Calc = %##clusters"
OVERLAY.TEXT.FORMAT.CADSR_COMPOSITE_COUNT 					install				"#Composites:%##composites"
OVERLAY.TEXT.FORMAT.CADSR_COMPOSITE_COUNT.FRC				install				"#Composites:%##composites"
OVERLAY.TEXT.FORMAT.CADSR_MALC_COUNT      					install				"M w Calc = %##malcs"	
OVERLAY.TEXT.FORMAT.CADSR_MALC_COUNT.FRC    				install				"M w Calc = %##malcs"	

#----------------------------------------------------------------------------
# VARIABLE_NAME:		OVERLAY.TEXT.<OVERLAY_NAME>.SHOW_BELOW_THRESHOLD
# VARIABLE_TYPE:		boolean
# DESCRIPTION:		Whether to show or not in 'minimal configuration. By default is YES.
# CONTEXT:			Site
# RANGE OF VALUES:      YES, NO
# SUGGESTED DEFAULT: 	
#----------------------------------------------------------------------------
OVERLAY.TEXT.WINDOW_LEVEL_VALUE.SHOW_BELOW_THRESHOLD			INSTALL				"YES" 
OVERLAY.TEXT.SERIES_NUMBER_DCM.SHOW_BELOW_THRESHOLD			INSTALL				"YES" 
OVERLAY.TEXT.SERIES_NUMBER_MIN1.SHOW_BELOW_THRESHOLD			INSTALL				"YES" 
OVERLAY.TEXT.SLICE_THICKNESS_LOCATION.SHOW_BELOW_THRESHOLD		INSTALL				"YES" 
OVERLAY.TEXT.TOP_LINE.SHOW_BELOW_THRESHOLD				INSTALL				"YES" 
OVERLAY.TEXT.IS_FLAGGED.SHOW_BELOW_THRESHOLD				INSTALL				"YES" 
OVERLAY.TEXT.ACCESSION_NUMBER.SHOW_BELOW_THRESHOLD			INSTALL				"YES" 
OVERLAY.TEXT.COMPRESSION_FACTOR.SHOW_BELOW_THRESHOLD			INSTALL				"YES" 
OVERLAY.TEXT.FILTER_VALUE.SHOW_BELOW_THRESHOLD				INSTALL				"YES" 
OVERLAY.TEXT.LATERALITY.SHOW_BELOW_THRESHOLD				INSTALL				"YES" 

#--------------------------------------------------------------------------------------------
# VARIABLE_NAME:		OVERLAY.TEXT.<OVERLAY_NAME>.IS_CADSR_OVERLAY
# VARIABLE_TYPE:		boolean
# DESCRIPTION:		YES: Overlay will be visible only when CADSR marks are being displayed.
				NO:  Visibility is independent of CADSR marks.
# CONTEXT:			Site
# RANGE OF VALUES:      YES, NO
# SUGGESTED DEFAULT: 	NO
#---------------------------------------------------------------------------------------------
OVERLAY.TEXT.STUDY_CADSR_MARKCOUNT.IS_CADSR_OVERLAY			INSTALL				"YES"
OVERLAY.TEXT.STUDY_CADSR_MANUFACTURER.IS_CADSR_OVERLAY		INSTALL				"YES"
OVERLAY.TEXT.STUDY_CADSR_SOFTWAREVERSION.IS_CADSR_OVERLAY		INSTALL				"YES"
OVERLAY.TEXT.CADSR_DENSITY_COUNT.IS_CADSR_OVERLAY			INSTALL				"YES"
OVERLAY.TEXT.CADSR_CLUSTER_COUNT.IS_CADSR_OVERLAY			INSTALL				"YES"
OVERLAY.TEXT.CADSR_COMPOSITE_COUNT.IS_CADSR_OVERLAY			INSTALL				"YES"
OVERLAY.TEXT.CADSR_MALC_COUNT.IS_CADSR_OVERLAY				INSTALL				"YES"

#---------------------------------------------------------------------
# VARIABLE_NAME:        OVERLAY.DELETE_IMAGE_INDICATOR.COLOR
# VARIABLE_TYPE:        color
# DESCRIPTION:          This is the color to use to draw the "X" on
#                       the image which is marked for deletion.
#
# CONTEXT:              Site configurable only
# RANGE OF VALUES:      any color value
# SUGGESTED DEFAULT: 	255 0 0 (= red)
#---------------------------------------------------------------------
OVERLAY.DELETE_IMAGE_INDICATOR.COLOR   install  255 0 0

#---------------------------------------------------------------------
# VARIABLE_NAME:        OVERLAY.TEXT.COLOR
# VARIABLE_TYPE:        color
# DESCRIPTION:          This is the color to use to draw text overlays.
#
# CONTEXT:              Site configurable only
# RANGE OF VALUES:      any color value
# SUGGESTED DEFAULT: 	255 255 255 (= white)
#---------------------------------------------------------------------
OVERLAY.TEXT.COLOR   install  255 255 255

#---------------------------------------------------------------------
# VARIABLE_NAME:        OVERLAY.TEXT_CAUTION.COLOR
# VARIABLE_TYPE:        color
# DESCRIPTION:          This is the color to use to draw the orientation markers.
#
# CONTEXT:              Site configurable only
# RANGE OF VALUES:      any color value
# SUGGESTED DEFAULT: 	255 0 0 (= red)
#---------------------------------------------------------------------
OVERLAY.TEXT_CAUTION.COLOR   install  255 0 0

#---------------------------------------------------------------------
# VARIABLE_NAME:        OVERLAY.TEXT_CAUTION_BK.COLOR
# VARIABLE_TYPE:        color
# DESCRIPTION:          This is the background color of the orientation markers.
#
# CONTEXT:              Site configurable only
# RANGE OF VALUES:      any color value
# SUGGESTED DEFAULT: 	255 255 255 (= white)
#---------------------------------------------------------------------
OVERLAY.TEXT_CAUTION_BK.COLOR   install  255 255 255

#---------------------------------------------------------------------
# VARIABLE_NAME:        OVERLAY.FLAG.COLOR
# VARIABLE_TYPE:        color
# DESCRIPTION:          This is the color for flagged image's marker.
#
# CONTEXT:              Site configurable only
# RANGE OF VALUES:      any color value
# SUGGESTED DEFAULT: 	255 255 0 (= yellow)
#---------------------------------------------------------------------
OVERLAY.FLAG.COLOR   install  255 255 0

#---------------------------------------------------------------------
# VARIABLE_NAME:        OVERLAY.MG_MIDDLE_OFFSET
# VARIABLE_TYPE:        Double
# DESCRIPTION:          Defines the vertical offset from the image center where
#			the text overlays specified in OVERLAY.TEXT.MG.MIDDLE
#			will be placed. Vertical offset is in percentage relative
#			to the height of actual image, given in decimal points.
#
# RANGE OF VALUES:      0.05 to 0.04
# SUGGESTED DEFAULT: 	0.25
#---------------------------------------------------------------------
OVERLAY.MG_MIDDLE_OFFSET   install  0.25
